summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Mark Grocock2010-12-10 05:48:07 +0100
committer Robby Workman2010-12-10 05:48:07 +0100
commit3172d5b78642cbfcbdf8971ad08913c69bd67c45 (patch)
treefee9dda46ccf4f5d9d26329541396421f393d819 /multimedia
parent636bca39cbbe78ffac63d08c99e7bb11d993b1da (diff)
downloadslackbuilds-3172d5b78642cbfcbdf8971ad08913c69bd67c45.tar.gz
multimedia/gnupod: Added (CLI tools for working with iPods)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gnupod/README7
-rw-r--r--multimedia/gnupod/gnupod.SlackBuild81
-rw-r--r--multimedia/gnupod/gnupod.info10
-rw-r--r--multimedia/gnupod/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/multimedia/gnupod/README b/multimedia/gnupod/README
new file mode 100644
index 0000000000..1cf91af5b9
--- /dev/null
+++ b/multimedia/gnupod/README
@@ -0,0 +1,7 @@
+GNUpod is a collection of tools which allow you to use your iPod with
+Linux and other UNIX-like operating systems. All iPod-models are supported.
+
+GNUpod requires perl-digest-sha1, perl-MP3-Info, perl-TimeDate and
+perl-Unicode-String. Optional dependencies include faac, ffmpeg,
+lame, TiMidity++, perl-Audio-FLAC-Header, perl-Date-Manip and
+perl-Ogg-Vorbis-Header-PurePerl.
diff --git a/multimedia/gnupod/gnupod.SlackBuild b/multimedia/gnupod/gnupod.SlackBuild
new file mode 100644
index 0000000000..f7e937c116
--- /dev/null
+++ b/multimedia/gnupod/gnupod.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for gnupod
+
+# Written by Mark Grocock <mark@grocock.me.uk>
+
+PRGNAM=gnupod
+VERSION=${VERSION:-0.99.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make install DESTDIR=$PKG
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS CHANGES COPYING FAQ README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/gnupod/gnupod.info b/multimedia/gnupod/gnupod.info
new file mode 100644
index 0000000000..baf452642b
--- /dev/null
+++ b/multimedia/gnupod/gnupod.info
@@ -0,0 +1,10 @@
+PRGNAM="gnupod"
+VERSION="0.99.8"
+HOMEPAGE="http://www.gnu.org/software/gnupod/"
+DOWNLOAD="http://blinkenlights.ch/gnupod-dist/stable/gnupod-0.99.8.tgz"
+MD5SUM="978c9f813e6930b780e81eb30a742ebe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mark Grocock"
+EMAIL="mark@grocock.me.uk"
+APPROVED="rworkman"
diff --git a/multimedia/gnupod/slack-desc b/multimedia/gnupod/slack-desc
new file mode 100644
index 0000000000..184186871b
--- /dev/null
+++ b/multimedia/gnupod/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnupod: gnupod (CLI iPod tools)
+gnupod:
+gnupod: GNUpod is a collection of tools which allow you to use your iPod with
+gnupod: Linux and other UNIX-like operating systems. All iPod models are
+gnupod: supported.
+gnupod:
+gnupod: http://www.gnu.org/software/gnupod/
+gnupod:
+gnupod:
+gnupod:
+gnupod: